gitg (3.30.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 12:49:15 +0800

gitg (3.30.1-1) unstable; urgency=medium

  * New upstream release
  * Build with meson
  * Bump minimum libgit2-glib-1.0-dev to 0.27.7
  * Use dh_missing
  * Remove obsolete debian/missing-sources
  * Add -Wl,-O1 to our LDFLAGS
  * Bump Standards-Version to 4.3.0
  * Cherry-pick meson-Bump-libgit-glib-dependency.patch
    - Allow building with libgit2-glib >= 0.27
  * Cherry-pick meson-Add-libdir-on-gitg-s-rpath.patch:
    - Fix build (we use a private libdir for the private .so files)
  * Add dh_shlibdeps override for private gitg libraries

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 25 Dec 2018 08:40:18 -0500

gitg (3.30.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
  * Revert "Cherry-pick Drop-default-value-of-non-automatic-property.patch:"

 -- Andreas Henriksson <andreas@fatal.se>  Sun, 21 Oct 2018 10:51:24 +0200

gitg (3.26.0-7) unstable; urgency=medium

  * Cherry-pick Drop-default-value-of-non-automatic-property.patch:
    - fix build with vala 0.42 (Closes: #907950)

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 04 Sep 2018 16:19:20 -0400

gitg (3.26.0-6) unstable; urgency=medium

  * Drop obsolete debian/source/options
  * Add X-Ubuntu-Use-Langpack to opt in to Ubuntu language pack handling
    (LP: #1779574)
  * Bump Standards-Version to 4.2.1

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 04 Sep 2018 15:12:25 -0400

gitg (3.26.0-5) unstable; urgency=medium

  * Drop obsolete Build-Depends on libgconf2-dev
  * Add debian/docs to install NEWS
  * Bump Standards-Version to 4.1.4

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 30 Apr 2018 16:43:39 -0400

gitg (3.26.0-4) unstable; urgency=medium

  * Update Vcs fields for migration to https://salsa.debian.org/
  * Bump debhelper compat to 11

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 03 Feb 2018 21:50:28 -0500

gitg (3.26.0-3) unstable; urgency=medium

  * Update Vcs and Homepage fields
  * debian/rules:
    - Drop obsolete rules
    - Force rebuilding from vala source
  * Bump debhelper compat to 10
  * Bump Standards-Version to 4.1.1

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 08 Oct 2017 13:49:19 -0400

gitg (3.26.0-2) unstable; urgency=medium

  * Upload to unstable
  * debian/gitg.install: Stop installing .vapi and .gir files

 -- Laurent Bigonville <bigon@debian.org>  Thu, 14 Sep 2017 15:04:04 +0200

gitg (3.26.0-1) experimental; urgency=medium

  * New upstream version 3.26.0
  * debian/control: Bump the build-dependencies
  * debian/control: Bump Standards-Version to 4.1.0 (no further changes)
  * Adopt the package in behalf of the Debian GNOME Maintainers team
    (Closes: #851452)

 -- Laurent Bigonville <bigon@debian.org>  Fri, 25 Aug 2017 14:54:31 +0200

gitg (3.23.0-1) unstable; urgency=medium

  * New upstream release [November 2016].
  * Upload to unstable (Closes: #766461).
  * Replaced "dbus-x11" with "default-dbus-session-bus | dbus-session-bus"
    in "Depends" (Closes: #835882).
  * Orphaned package.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 15 Jan 2017 13:12:21 +1100

gitg (3.22.0-1) experimental; urgency=medium

  * New upstream release [September 2016].
  * Build-Depends:
    = libgit2-glib-1.0-dev (>= 0.24.4)

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 16 Oct 2016 02:54:28 +1100

gitg (3.20.1-1) experimental; urgency=medium

  * New upstream release [June 2016].
  * Standards-Version: 3.9.8.
  * Corrected Vcs-Git URL.
  * Modernised Vcs-Browser URL.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 09 Jul 2016 16:15:42 +1000

gitg (3.20.0-1) experimental; urgency=medium

  * New upstream release [March 2016].
  * Build-Depends:
    = libgit2-glib-1.0-dev (>= 0.24.0)
    = libgtk-3-dev (>= 3.20)

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 15 Apr 2016 11:04:25 +1000

gitg (3.19.4-1) experimental; urgency=medium

  * New upstream release [January 2016] (Closes: #809395).

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 13 Jan 2016 16:42:34 +1100

gitg (3.19.3-1) experimental; urgency=medium

  * New upstream release [December 2015].
  * Build-Depends:
    - libgit2-glib-1.0-dev (>= 0.23.4)
    + libgit2-glib-1.0-dev (>= 0.23.5)
  * Removed obsolete "webkit2-4.patch".
  * Deleted "debian/missing-sources/jquery*".

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 29 Dec 2015 14:40:31 +1100

gitg (3.17.1-1) experimental; urgency=low

  * New upstream release [August 2015].
  * Switch to "libwebkit2gtk-4" + "webkit2-4.patch" (Closes: #792164).
  * Build-Depends:
    - libgit2-glib-1.0-dev (>= 0.22.0)
    + libgit2-glib-1.0-dev (>= 0.23.4)
    - libwebkit2gtk-3.0-dev
    + libwebkit2gtk-4.0-dev

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 09 Sep 2015 20:06:00 +1000

gitg (3.16.1-1) experimental; urgency=low

  * New upstream release [April 2015].
  * Added "gir1.2-peas-1.0" to Depends (Closes: #781271).
    Thanks, Joe Burmeister
  * Build-Depends:
    - libgit2-glib-1.0-dev (>= 0.0.20)
    + libgit2-glib-1.0-dev (>= 0.22.0)
    + libsecret-1-dev
  * Activated "dh_girepository".

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 02 Jun 2015 15:39:15 +1000

gitg (3.14.1-1) experimental; urgency=medium

  * New upstream release [December 2014].
  * Standards-Version: 3.9.6.

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 01 Jan 2015 11:33:43 +1100

gitg (3.14.0-1) experimental; urgency=low

  * New upstream release [September 2014].
  * Dropped uupdate from "debian/watch".

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 03 Oct 2014 00:05:58 +1000

gitg (3.13.91-1) experimental; urgency=low

  * New major upstream release [August 2014] (Closes: #740423).
    + fixed "diff off-by-one line numbering" (Closes: #693430).
  * Build-Depends:
    + gobject-introspection
    + libgee-0.8-dev
    + libgit2-dev
    + libgit2-glib-1.0-dev (>= 0.0.20)
    + libgtkspell3-3-dev
    + libjson-glib-dev
    + libpeas-dev
    + libwebkit2gtk-3.0-dev
    + valac
    + libxml2-utils
  * Added "debian/missing-sources" with uncompressed "jquery-2.0.3.js".

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 11 Sep 2014 11:43:39 +1000

gitg (0.2.7-3) unstable; urgency=medium

  * New patch to fix memory leaks.

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 26 Mar 2014 03:38:55 +1100

gitg (0.2.7-2) unstable; urgency=low

  * Standards to 3.9.5
  * Dropped "libdconf0" from Depends (Closes: #711024).
  * New patch to fix FTBFS (Closes: #740448)
    Thanks, Peter Michael Green.
  * Set myself as Maintainer as requested by Jonny Lamb.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 02 Mar 2014 11:24:55 +1100

gitg (0.2.7-1) unstable; urgency=low

  * Upload to unstable.

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 08 May 2013 12:42:26 +1000

gitg (0.2.7-1~exp0) experimental; urgency=low

  * New upstream bugfix release [April 2013].

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 07 Apr 2013 10:32:03 +1000

gitg (0.2.6-1~exp0) experimental; urgency=low

  * New upstream release [March 2013].
  * Removed unnecessary versioned Build-Deps.
  * Updated my email address and copyright years.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 31 Mar 2013 13:17:54 +1100

gitg (0.2.5-1~exp0) experimental; urgency=low

  * New upstream release [2011-09-01].
  * debian/copyright to copyright-format-1.0 & audit.
  * debian/watch to look for .xz archives.
  * source and .deb files compression to xz.
  * standards to 3.9.4
  * debhelper & compat to version 9.
  * build with all hardening.
  * build with --as-needed to minimise needless linking.
  * run post-build tests but continue on failed ones.
  * install upstream changelog.
  * (Build-)Depends re-formatted and alphabetized.
  * added myself to Uploaders.
  * "autotools-dev" is replaced with "dh-autoreconf" & "intltoolize".
  * install private library instead of linking it statically,
    dropped patch to link statically.
  * dropped obsolete patch [ftbfs].
  * dropped debian/update-patches.mk (not used any more).
  * dropped debian/README.source since it is mostly provides
    instructions how to use git-buildpackage.
  * dropped debian/gbp.conf (new repository is much simpler).
  * desktop file patch is refreshed.
  * new Homepage (Closes: #688116).
  * removed GTK/GNOME from package description (Closes: #672454).
  * new repository at collab-maint (Closes: #672453).

 -- Dmitry Smirnov <onlyjob@member.fsf.org>  Sun, 30 Sep 2012 12:42:42 +1000

gitg (0.2.4-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Replaced deprecated gdk_window_get_pointer API. (Closes: #666232)
    + debian/patches/ftbfs: Added.

 -- wujiang <masterwujiang@gmail.com>  Sun, 29 Apr 2012 13:57:01 +0800

gitg (0.2.4-1) unstable; urgency=low

  * New upstream release.
  * debian/watch: Look for tar.bz2 files instead.
  * debian/control: Up build-dep version on gtksourceview.

 -- Jonny Lamb <jonny@debian.org>  Wed, 24 Aug 2011 15:52:46 +0100

gitg (0.2.2-1) unstable; urgency=low

  * New upstream release. (Closes: #623732)
  * debian/control: Add missing dependencies. Thanks to Lubomír Sedlář for
    the hints. (Closes: #618894)
  * debian/patches/: Refresh both patches.
  * debian/control: Update build-dep versions for new release.

 -- Jonny Lamb <jonny@debian.org>  Wed, 24 Aug 2011 14:24:29 +0100

gitg (0.1.0-1) unstable; urgency=low

  * New upstream release. (Closes: #617674)
  * debian/rules: Call configure, not autogen.sh.
  * debian/watch: Fix watch file. (Closes: #612161)
  * debian/control:
    + Depend on dbus-x11. (Closes: #612449)
    + Change git-core dependency to just git.
    + Updated build-deps for new version.
    + Upped Standards-Version. (no changes)
  * debian/copyright: Updated.
  * debian/patches/:
    + Updated for new release.
    + 0002-Allow-creating-a-tag-without-a-message.patch: Removed as
      applied upstream.
    + 0002-libgitg-make-a-static-library.patch: Added to make libgitg a
      static library instead of shipping it shared.
  * debian/gitg.install: Added.

 -- Jonny Lamb <jonny@debian.org>  Fri, 18 Mar 2011 22:38:26 +0000

gitg (0.0.6-3) unstable; urgency=low

  * debian/control: Upped Standards-Version. (no changes)
  * Change source format to 3.0 (quilt).
  * debian/rules: Cleaned up a bit.

 -- Jonny Lamb <jonny@debian.org>  Thu, 13 May 2010 09:33:24 +0100

gitg (0.0.6-2) unstable; urgency=low

  * debian/patches/:
    + 0002-Allow-creating-a-tag-without-a-message.patch: Added. This patch
      has also gone into upstream's git. (Closes: #611434)

 -- Jonny Lamb <jonny@debian.org>  Mon, 01 Mar 2010 10:17:39 +0000

gitg (0.0.6-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/: Refreshed patch.
  * debian/copyright: Removed copyright for libsexy widgets which have
    been removed this release.
  * debian/control: Add versions to some build-deps.
  * debian/rules: Disabled building with silent rules for more interesting
    build logs!

 -- Jonny Lamb <jonny@debian.org>  Sun, 21 Feb 2010 16:37:23 +0000

gitg (0.0.5-1) unstable; urgency=low

  * New upstream release. (Closes: #547384)
  * debian/patches/: Refreshed patch.

 -- Jonny Lamb <jonny@debian.org>  Sat, 19 Sep 2009 12:33:12 +0100

gitg (0.0.4-1) unstable; urgency=low

  * New upsream release. (Closes: #536580)

 -- Jonny Lamb <jonny@debian.org>  Sun, 12 Jul 2009 19:43:04 +0100

gitg (0.0.3-2) unstable; urgency=low

  * debian/control: Add Depends on git-core. (Closes: #535047)

 -- Jonny Lamb <jonny@debian.org>  Mon, 29 Jun 2009 10:21:32 +0100

gitg (0.0.3-1) unstable; urgency=low

  * New upstream release. (Closes: #525520)
  * debian/watch: Updated.
  * debian/patches/:
    + 0002-Initial-patch-to-show-tags-referenced-from-tag-objec.patch: Removed;
      fixed upstream.
  * debian/rules: Removed get-orig-source target.

 -- Jonny Lamb <jonny@debian.org>  Sat, 25 Apr 2009 10:16:58 +0100

gitg (0.0.2-1) unstable; urgency=low

  * New upstream release. (Closes: #522919)
    + Timestamp to date string conversion is now valid UTF-8. (Closes: #518705)
    + Fixes to async task cancellation. (Closes: #520922)
  * debian/control: Changed Section to vcs.
  * debian/patches/:
    + 0001-Change-Categories-to-Development-RevisionControl.patch: Added
      to change Categories to Development;RevisionControl. (Closes: 520887)
    + 0001-Terminate-gtk_text_buffer_create_tag-s-arguments-wit.patch: Removed
      as applied upstream.
    + 0002-Initial-patch-to-show-tags-referenced-from-tag-objec.patch: Added
      to show tags referenced from tag objects. (Closes: #521062)
  * debian/watch: Added.

 -- Jonny Lamb <jonny@debian.org>  Thu, 09 Apr 2009 00:44:07 +0100

gitg (0.0.1+20090307.git.99b20ff-2) unstable; urgency=low

  * debian/control:
    + Updated Homepage. (Closes: #519262)
    + Add quilt Build-Dep.
    + Upped Standards-Version. (no changes)
  * debian/update-patches.mk: Added.
  * debian/rules:
    + Include update-patches.mk.
    + Include quilt.make.
    + Added patch and unpatch rule calls.
  * debian/patches/:
    + 0001-Terminate-gtk_text_buffer_create_tag-s-arguments-wit.patch: Added
      to fix call to gtk_text_buffer_create_tag and stop GObject warnings.
      (Closes: #520826)

 -- Jonny Lamb <jonny@debian.org>  Mon, 23 Mar 2009 02:46:13 +0000

gitg (0.0.1+20090307.git.99b20ff-1) unstable; urgency=low

  * New upstream snapshot.
  * debian/copyright:
    + Added copyright information for gitg/sexy-icon-entry.*.
    + Made License fields more unform.
  * debian/README.source: Added.
  * debian/control: Upped Standards-Version.

 -- Jonny Lamb <jonny@debian.org>  Sat, 07 Mar 2009 17:56:12 +0000

gitg (0.0.1+20090221.git.f0710a6-1) unstable; urgency=low

  * Initial release. (Closes: #515154)

 -- Jonny Lamb <jonny@debian.org>  Sat, 21 Feb 2009 15:07:13 +0000
